Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.util
Class DynamicClassLoader.Entry

    java.lang.Object
      |
      +--com.caucho.util.DynamicClassLoader.Entry

Enclosing class:
  DynamicClassLoader

public class DynamicClassLoader.Entry
extends java.lang.Object

Describes a cached loaded class entry.

Constructor Summary
`DynamicClassLoader.Entry(java.lang.String name, Path sourcePath, Path classPath)` Create a loaded class entry
`DynamicClassLoader.Entry(java.lang.String name, Path sourcePath, Path classPath, Path codePath)` Create a loaded class entry

Method Summary
`Path` | `getClassPath()` Returns the path to the class file.
`java.security.CodeSource` | `getCodeSource()`
`java.lang.Class` | `getEntryClass()`
`java.lang.String` | `getName()`
`boolean` | `isModified()` Returns true if the source file has been modified.
`void` | `setEntryClass(java.lang.Class cl)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DynamicClassLoader.Entry

    public DynamicClassLoader.Entry(java.lang.String name,
                                    Path sourcePath,
                                    Path classPath,
                                    Path codePath)

  Create a loaded class entry
  Parameters:
    `name` - the classname
    `sourcePath` - path to the source Java file
    `classPath` - path to the compiled class file

### DynamicClassLoader.Entry

    public DynamicClassLoader.Entry(java.lang.String name,
                                    Path sourcePath,
                                    Path classPath)

  Create a loaded class entry
  Parameters:
    `name` - the classname
    `sourcePath` - path to the source Java file
    `classPath` - path to the compiled class file

Method Detail

### getName

    public java.lang.String getName()

### getCodeSource

    public java.security.CodeSource getCodeSource()

### isModified

    public boolean isModified()

  Returns true if the source file has been modified.

### getClassPath

    public Path getClassPath()

  Returns the path to the class file.

### getEntryClass

    public java.lang.Class getEntryClass()

### setEntryClass

    public void setEntryClass(java.lang.Class cl)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD